# arXiv eXplorer
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)


arXiv eXplorer is an Android App for [arxiv.org](http://www.arxiv.org).
<a href='https://play.google.com/store/apps/details?id=com.gbeatty.arxiv&pcampaignid=MKT-Other-global-all-co-prtnr-py-PartBadge-Mar2515-1'><img alt='Get it on Google Play' src='https://play.google.com/intl/en_us/badges/images/generic/en_badge_web_generic.png'/></a>

Features include:

* Browse categories (Physics, Astronomy, Computer Science, etc)
* Search for arXiv articles
* Favorite arXiv articles
* Pagination
* Download PDFs
* Material Design
* Free
* Open Source

## Screenshots
<img src="https://github.com/GarrettBeatty/arXiv-eXplorer/raw/master/fastlane/metadata/android/en-US/images/phoneScreenshots/dark_browse_1523556279595.png" width="200"> <img src="https://github.com/GarrettBeatty/arXiv-eXplorer/raw/master/fastlane/metadata/android/en-US/images/phoneScreenshots/dark_dashboard_1523556283583.png" width="200">
<img src="https://github.com/GarrettBeatty/arXiv-eXplorer/raw/master/fastlane/metadata/android/en-US/images/phoneScreenshots/dark_details_1523556284512.png" width="200"><img src="https://github.com/GarrettBeatty/arXiv-eXplorer/raw/master/fastlane/metadata/android/en-US/images/phoneScreenshots/dark_downloaded_1523556303643.png" width="200"> 
<img src="https://github.com/GarrettBeatty/arXiv-eXplorer/raw/master/fastlane/metadata/android/en-US/images/phoneScreenshots/light_dashboard_1523556309738.png" width="200"> <img src="https://github.com/GarrettBeatty/arXiv-eXplorer/raw/master/fastlane/metadata/android/en-US/images/phoneScreenshots/light_details_1523556310665.png" width="200">
<img src="https://github.com/GarrettBeatty/arXiv-eXplorer/raw/master/fastlane/metadata/android/en-US/images/phoneScreenshots/light_downloaded_1523556328075.png" width="200"> <img src="https://github.com/GarrettBeatty/arXiv-eXplorer/raw/master/fastlane/metadata/android/en-US/images/phoneScreenshots/light_pdf_1523556326138.png" width="200">
<img src="https://github.com/GarrettBeatty/arXiv-eXplorer/raw/master/fastlane/metadata/android/en-US/images/phoneScreenshots/settings_1523556331590.png" width="200"> <img src="https://github.com/GarrettBeatty/arXiv-eXplorer/raw/master/fastlane/metadata/android/en-US/images/phoneScreenshots/settings_dashboard_1523556335373.png" width="200">

## Downloading

```
git clone https://github.com/GarrettBeatty/arXiv-eXplorer.git
bundle install
```

## Built With

* [OkHttp](http://square.github.io/okhttp/)
* [Sugar ORM](http://satyan.github.io/sugar/)
* [Travis CI](https://travis-ci.org/)
* [Fastlane](https://fastlane.tools/)
* [Sectioned-RecyclerView](https://github.com/afollestad/sectioned-recyclerview)

## Contributing

Please read [CONTRIBUTING.md](CONTRIBUTING.md) for details on our code of conduct, and the process for submitting pull requests to us.

## Authors

* [**Garrett Beatty**](https://github.com/GarrettBeatty) - Developer
* [**Gabriele Bozzola**](https://github.com/Sbozzolo) - UI and Functionality Ideas


## License

This project is licensed under the MIT License - see the [LICENSE.md](https://github.com/GarrettBeatty/arXiv-eXplorer/raw/master/LICENSE.md) file for details
